{$A+}

LIBRARY Template;

USES  Windows, SysUtils, IsapiVars, IsapiConn;

FUNCTION GetExtensionVersion (VAR VerInfo : TVerInfo) : BOOL; EXPORT; STDCALL;
BEGIN
  VerInfo.ExtensionVersion := MAKELONG(HSE_VERSION_MINOR,HSE_VERSION_MAJOR);
  StrPCopy( VerInfo.ExtensionDesc,'Template: Delphi ISAPI Extension');
  Result := TRUE;
END;

FUNCTION HttpExtensionProc(ECB : PECB) : CARDINAL; EXPORT; STDCALL;
VAR
  WebConn      : TIsapiConn;

BEGIN
  WebConn := TIsapiConn.Create(ECB, 2048);
  IF WebConn.Status = stOK THEN BEGIN
    WebConn.Response.SendResponseHeader; { Allways at the begining }
    TRY

      { Put here the processing code, see the iEcho example }

    EXCEPT
      ON e : EXCEPTION DO WebConn.SendError(e.Message);
    END;
    WebConn.Response.FlushBuffer; { Allways at the end }
  END ELSE WebConn.SendError(WebConn.Error);
  Result := HSE_STATUS_SUCCESS;
  WebConn.Free;
END;

EXPORTS
  HttpExtensionProc,
  GetExtensionVersion;
END.
